Warsaw finalmente está funcionando corretamente.

Depois de tentar das melhores formas possíveis em achar uma correção para o pacote do warsaw que está disponível na AUR e não encontrar, comecei a estudar como fazer o warsaw funcionar sem que o usuário tivesse que fazer algum procedimento manual.

Há muito tempo foi encontrada uma maneira para que o pacote da AUR funcionasse, mais teria que se fazer algumas alterações que eu não “concordava” muito, e por esse motivo não fiz a postagem desse método aqui no blog. No domingo dia 8 de julho resolvi tirar o dia para tentar achar uma maneira mais “correta” dos usuários conseguirem utilizar suas contas bancarias no Manjaro.

Após algumas horas tentando fazer o pacote da AUR funcionar, desisti dele e parti para a criação de um novo pacote do warsaw, após algumas tentativas eu consegui fazer que o warsaw funcionasse perfeitamente e na maioria dos bancos que é utilizado o warsaw. Uma outra coisa que veio com esse novo pacote, é que a maioria dos navegadores mais utilizados funcionam com ele sem a necessidade de fazer qualquer outra alteração.

Atenção.

Se você utiliza ou já utilizou o warsaw e teve que fazer alguns procedimentos pelo terminal para que ele funcionasse, por favor rode o comando abaixo antes da instalação.

sudo chattr -a /usr/lib/warsaw/ && sudo pacman -Rs warsaw && sudo rm -rf /usr/lib/warsaw

Se você já possui o repositório do blog adicionado ao seu sistema, você pode conferir antes de instalar o pacote, quais os bancos e navegadores que o warsaw-bin está funcionando no momento.

Bloqueadores de anúncios podem interferir na detecção do módulo do warsaw pelos bancos, desative os bloqueadores e verifique se o problema é corrigido. Um usuário na AUR relatou falha no Firefox, mas no Google Chrome funcionava normalmente, após ser informado sobre os bloqueadores de anúncio, tudo voltou ao normal, você pode conferir os comentário aqui.

Instalação.

Torne-se um apoiador e ajude manter os projetos do blog.

Repositório do blog

Modo gráfico: procure o warsaw-bin no Pamac, marque para instalar e clique em aplicar.

Instalar warsaw-bin do repositório do blog.

Será informado as dependências opcionais do pacote, marque se você achar necessário, clique em Escolher para prosseguir. Se você não marcar a caixa de seleção, a dependência opcional não será instalada.

Dependências opcionais para o warsaw-bin.

Após digitar a sua senha de usuário e confirmar a instalação do pacote, você poderá acompanhar tudo o que está sendo feito no processo de instalação, clicando na seta ao lado do botão Aplicar.

Terminal: utilize um dos comandos abaixo conforme o seu gerenciador de pacotes preferido.

Pamac

pamac install warsaw-bin

Pacman

sudo pacman -S warsaw-bin

AUR

Modo gráfico: procure o warsaw-bin no Pamac, marque a compilação e clique em aplicar.

Instalar warsaw-bin da AUR.

Após digitar a sua senha de usuário e confirmar a instalação do pacote, você poderá acompanhar tudo o que está sendo feito no processo de instalação, clicando na seta ao lado do botão Aplicar.

Terminal: utilize um dos comandos abaixo para instalar o warsaw-bin.

Pamac

pamac build warsaw-bin

Trizen

trizen -S warsaw-bin

Se o comando trizen não funcionar, veja esse tutorial.

Iniciar o serviço do warsaw.

Ao instalar o warsaw-bin através do repositório do blog, esses 2 comandos já foram aplicados durante a instalação, não sendo necessário você utilizar eles novamente.

Use o comando abaixo para colocar o warsaw na inicialização do sistema.

sudo systemctl enable warsaw.service

Use o comando abaixo para iniciarwarsaw.

sudo systemctl start warsaw.service

Ao utilizar os comandos acima e você estiver com algum navegador aberto, pode ser informado se você deseja fechar o(s) navegador(es).

Captura de tela_2019-03-25_10-43-22

Se escolher Yes, os navegadores serão fechados automaticamente. Se escolher No, será informado que você precisará reiniciar o(s) navegador(es) antes de utiliza-lo para entrar em seu banco.

Captura de tela_2019-03-25_10-44-00

 

Pós instalação.

Agora entre no site para fazer o diagnóstico, escolha o seu banco ou instituição e clique em continuar.

Diagnostico Sicredi.

Diagnostico Itaú.

Na página de diagnostico para todos os bancos, é só seguir as informações e esperar a conclusão.

Screenshot_20180709_151923

Se tudo ocorrer bem, você verá a mensagem abaixo.

Screenshot_20180709_152031

Pronto, agora você não terá mais problemas com o acesso ao seu banco. 

Desinstalar.

Modo gráfico: procure por warsaw-bin no Pamac, marque para remover e clique em aplicar.

Desinstalar warsaw-bin do sistema.

Terminal: utilize um dos comandos abaixo para remover o warsaw-bin.

Pamac

pamac remove warsaw-bin

Pacman

sudo pacman -Rsn warsaw-bin

O warsaw-bin foi completamente removido do seu sistema.



Caso algum programa que você goste ainda não tenha uma versão para Manjaro, por favor, escreva nos comentários o nome do programa que iremos procurar por algum equivalente ou, se possível a portabilidade para Manjaro, entraremos em contato com desenvolvedores.

Por favor, não deixe de compartilhar nas redes sociais as publicações deste blog, pois nosso incentivo para produzir um conteúdo bacana é saber que estamos ajudando pessoas a conhecer cada vez mais as funcionalidades dessa maravilhosa distro Linux.

Nos acompanhe:

56 Comentários

  • Vinha funcionando ok com o Itau, hj, deixou de funcionar. Já desinstalei e reinstalei, mas não funciona. O Itau agora exige novamente a instalação. O que pode ter ocorrido?

    Curtir

    • Há alguns dias ele parou de funcionar com o Chrome, no Firefox ele ainda está funcionando aqui.

      Se você utilizar o Chrome, acesse o banco com o Firefox, estamos pesquisando sobre isso.

      Curtido por 1 pessoa

      • Entendi, obrigado pelo retorno e informação. Hr que vcs tiverem resolvido a questão, peço que informem aqui, obrigado.

        Curtir

      • O warsaw já está funcionando no Google Chrome novamente há alguns dias, só lembramos de lhe informar agora.

        Curtido por 1 pessoa

      • Obrigado por informar. Reinstalei e irei usar ao longo desses dias e informo. Aproveitando, qual a dif. entre o warsaw e o warsaw deepin, os dois disponibilizados por vcs? Procedi com a instalação do “warsaw” apenas.

        Curtir

      • Não tem diferença nenhuma praticamente, no warsaw-deepin só foi removido um arquivo devido ele estar dando conflito com o painel e acabava travando o sistema todo.

        Curtir

  • Show de bola. Tudo que precisava estou encontrando por aqui. Funcionou perfeito no Chrome. Adeus Ubuntu!

    Curtido por 1 pessoa

  • Acabei de conseguir fazer funcionar o Warsaw. Só pra registrar. Fiz pelo repositório do blog. Uso firefox 64..65, sei lá, Manjaro 18.0.4. A própria instalação do programa pelo repositório do manjariando cuidou de habilitar (systemctl enable warsaw.service) e iniciar (systemctl start warsaw.service) o serviço do warsaw. Então eu não precisei me preocupar com nada mesmo.
    Por fim, entrei no link do diagnóstico do warsaw ( https://www.dieboldnixdorf.com.br/warsaw ), selecionei meu banco (BB) cliquei para configurar e apareceu a mensagem de parabéns. Espero que todos e todas consigam.

    Curtido por 1 pessoa

  • Renan William Rocha David

    Amigo, eu sou iniciante no Manjaro. Usei Ubuntu mas nunca entendi muito de Linux, apenas gosto da distribuição e seu blog me salvou nessa instalação.

    Curtido por 1 pessoa

  • Bom dia. Não consegui instalar. Você pode deixar por escrito os comandos para eu instalar o seu repositório e o warsaw? Obrigado.

    Curtir

  • Tanto pelo trizen, qto pelo yaourt, tá dando erro na hora de baixar o libstdc++296 (via terminal).

    Curtir

    • Olá Júlio, nós disponibilizamos todos os pacotes para o wrasaw-bin sem erros em nosso repositório.

      Já que você não utiliza nosso repositório, você terá que editar o pkgbuild na hora da instalação do pacote libstdc++296, nos comentários na página desse pacote na AUR tem o link que você deve subistituir, tem que alterar o md5sums também.

      Saudações.

      Curtido por 1 pessoa

      • Vixe, tava com tanta pressa que alterei apenas a url da fonte. Mesmo assim, instalou. Vou confiar desta vez, mas não me esquecerei de checar o md5 na próxima vez.

        Grato!

        Curtir

  • Olá instalei o repositório do manjariando e selecionei o warsaw-bin para instalar.
    Apresentou o seguinte erro via octopi:

    (11/13) python2-enum34-1.1.6-2-any
    (12/13) libstdc++296-2.96.126-5-x86_64
    (13/13) warsaw-bin-1.12.13.8-3-x86_64
    checking keys in keyring
    checking package integrity
    checking for file conflicts
    error: failed to commit transaction (conflicting files)
    Errors occurred, no packages were upgraded.

    Comando executado com erros!

    E não instalou!

    Curtir

    • Waydson, você tem algum pacote que está em conflito com outro, como tem pacote que não é dependencia do warsaw-bin na sua informação, tente instalar pelo terminal para ver se esse conflito é referente a instalação do warsaw-bin ou é de alguma atualização que não tem nada haver com o warsaw-bin.
      Utilize o comando no terminal, sudo pacman -S warsaw-bin
      Se ainda informar conflito, informe qual pacote está entrando em conflito para que eu possa verificar.

      Saudações.

      Curtir

    • Blz. Segue execução no terminal:
      erro: falha em submeter a transação (arquivos conflitantes)
      warsaw-bin: /usr/local/bin/warsaw/core existe no sistema de arquivos
      warsaw-bin: /usr/local/bin/warsaw/migratecache existe no sistema de arquivos
      warsaw-bin: /usr/local/bin/warsaw/wsatspi existe no sistema de arquivos
      warsaw-bin: /usr/local/etc/warsaw/gas.dbd existe no sistema de arquivos
      warsaw-bin: /usr/local/etc/warsaw/uninstall.dat existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsbrmu.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsftbco.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsftbid.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsftbmo.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsftdl.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsftuan.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wsftup.so existe no sistema de arquivos
      warsaw-bin: /usr/local/lib/warsaw/wslbmid.so existe no sistema de arquivos
      Ocorreram erros e, portanto, nenhum pacote foi atualizado.

      Att.,

      Curtir

      • Bom, eu não sei o que aconteceu ai antes, mas utilize o comando abaixo para remover esses arquivos e tente novamente. Verifique se você não tem mesmo o pacote warsaw instalado, pois se os arquivos existem é porque o programa foi instalao de alguma forma.
        sudo rm -rf /usr/local/bin/warsaw && sudo rm -rf /usr/local/etc/warsaw && sudo rm -rf /usr/local/lib/warsaw

        Saudações.

        Curtir

      • YYeeeessss!!

        Nossa ! Perfeito!!
        Queria agradecer muito a vc que me atendeu! e a todos q participam. Suoer atencioso. Todos os comandos que vc me passou funcionaram. Vc me ajudou em minutos, nunca pensei em receber respostas tão rápido.

        Estava participando do fórum do manjaro.org. E lá demora um pouco, é em inglês, e tem alguns participantes que ridicularizam iniciantes como eu.

        Meus parabéns a vcs e a vc que me atendeu prontamente !! Muito grato!!

        Próximo passo instalar Office pelo Playonlinux!!

        Curtido por 1 pessoa

      • Se precisar estamos aqui!!

        Temos um tutorial sobre o MS Office nesse link, https://manjariando.wordpress.com/2018/02/01/instalando-o-ms-office-no-manjaro.

        Se você utiliza o telegram, temos um grupo lá para ajudar nas duvidas, https://manjariando.wordpress.com/2018/02/27/grupo-do-blog-no-telegram.

        Saudações.

        Curtir

  • Eu tive problemas na compilação de uma das dependências (libstdc++296) na hora de baixar o RPM do repositório do Suse.

    Editei o PKGBUILD trocando o endereço do pacote para https://download.opensuse.org/distribution/leap/42.3/repo/oss/suse/x86_64/compat-32bit-2010.1.31-4.3.x86_64.rpm e aí sim funcionou.

    Fica aí minha contribuição.

    Abraço!

    Curtido por 1 pessoa

    • Se quiser evitar esse tipo de erro no futuro, você pode utilizar nosso repositório para instalar o warsaw e os outros pacotes que estamos dando suporte.

      Saudações.

      Curtir

      • Ok. fiz isso no terminal. tudo certo.
        Sincronizei a base de dados. E visualizei que ele tinha pacotes aur(manjariando) para atualizar fiz isso e:

        Apareceu o seguinte erro (4/5) upgrading repo-manjariando
        error: failed retrieving file ‘manjariando-libs.db’ from manjariando.gitlab.io : Resolving timed out after 10000 milliseconds
        error: failed to update manjariando-libs (download library error)
        ao atualizar no octopi
        e ainda não está aparecendo no repositório.

        Curtir

    • Olá Alfonso , desculpe minha ignorância em linux e informática. Mas como devo copiar o endereço? Meu arquivo está apresentando o mesmo erro seu. Ao editar o pkgbuild copio o seu endereço para :
      source=(“libstdc++296.rpm::ftp://download.opensuse.org/distribution/leap/42.3/repo/oss/suse/x86_64/compat-32bit-2010.1.31-4.3.x86_64.rpm
      e o erro continua.
      adiciono o “https” após ftp? onde estou errando? Agradeço.
      Usava ubuntu gnome e agora sou fã do manjarokde!!

      Curtir

  • Carlos Mendes

    Deixei de utilizar o manjaro por primeiro por não conseguir instalar minha impressora ML1660, agora resolvido, e tambem pq não acessava o BB/CEF, agora tudo funcionando, voltarei para o manjaro. Parabens por sua iniciativa.

    Curtido por 1 pessoa

  • MUITO OBRIGADO!!!! ❤

    Curtido por 1 pessoa

  • Lucas Graczik

    Boa noite! Testei aqui e funciona corretamente o acesso. Tenho o Manjaro Gnome no PC e o Manjaro Deepin no notebook. No Gnome roda liso, ja no Deepin apos o comando “systemctl start warsaw.service” da crash no ambiente grafico, os menus e paineis ficam todos bugados, ha relatos que no KDE tambem tem essse problema. Saberia dizer o que esta ocorrendo?

    Curtido por 1 pessoa

    • Olá Lucas, já estou ciente quanto ao “problema” envolveldo o Deepin. Eu utilizo o Manjaro KDE e não tenho esse erro, estarei verificando sobre isso o mais rápido possível.
      Saudações.

      Curtir

      • Lucas Graczik

        Boa noite, consegui solucionar a questão do crash do ambiente gráfico DEEPIN, onde sem saber o que causava isso me obrigou a reinstalar todo o sistema! Pois bem, num desses crash, abri o Deepin System Monitor e procurei por processo s relacionados ao Warsaw, e lá estava ele, essa praga que me deu muita dor de cabeça – WSATSPI – por algum motivo ele estava conflitando com Deepin Desktop.

        A solução foi excluir ele. Acessei o local onde ele se encontra(/usr/local/bin/warsaw) como Root e exclui o arquivo “wsatspi”, na verdade recortei e colei em outro local como backup.

        Após isso não ocorreu mais o crash, e o acesso ao internet banking está funcionando normalmente. E o Manjaro Deepin está sensacional!!

        Curtir

      • Bom Lucas, eu fiz alguns testes aqui e pelo que averiguei, a questão agora é descobrir porque não pode deixar o warsaw iniciar junto com o sistema, já que se iniciar o warsaw manualmente após o boot não acontece esse problema.
        Eu estarei investigando, mas sobre essa “correção” de tirar o wsatspi do pacote eu não irei fazer, pois deveria acontecer o mesmo problema ao iniciar ele manualmente após o boot, se realmente ele fosse o único culpado.
        Saudações.

        Curtir

      • Lucas Graczik

        Obrigado pela sua prestatividade!
        Abraços!

        Curtido por 1 pessoa

      • Olá Lucas, vi seu comentário na AUR. Só que você comentou no pacote errado, o pacote que provavelmente você está usando é o warsaw-bin.
        Vou olhar para sua informação, e agradeço por ela.
        Saudações.

        Curtir

    • Lucas Graczik

      É porque tive esse mesmo problema no Deepin com o dois pacotes. Eu já utilizava o pacote “warsaw” a algum tempo, mas só habilitava ele quando usava. A partir dessa semana comecei a utlizar o pacote “warsaw-bin”, foi quando percebi que o “wsatspi” estava causando crash no Deepin Desktop, mesmo iniciando o warsaw manualmente, após alguns de uso ele crasha o ambiente. Mas após a exclusão do wsatspi, está rodando de boa.

      Curtir

  • Deleon Araujo

    Muito obrigado pela dica. Utilizo o Antergos e funcionou perfeitamente no Banco do Brasil.

    Curtido por 1 pessoa

  • Obrigado pela dica, funcionou perfeitamente aqui!

    Curtido por 1 pessoa

  • enio bernardi

    Muito bom!!Funcionou perfeitamente com o Banco Sicredi.Eu nunca havia conseguido acessar o Sicredi com o Manjaro antes.Obrigado!!

    Curtido por 1 pessoa

  • Correção: onde se lê…
    Como iniciar o serviço.

    Use o comando abaixo para iniciar o warsaw.
    systemctl enable warsaw.service >>>seria>>>systemctl start warsaw.service

    Use o comando abaixo para colocar o warsaw na inicialização do sistema.
    systemctl start warsaw.service>>>>seria>>>>systemctl enable warsaw.service

    Os comandos nessa parte ficaram invertidos. Parabéns pelo excelente trabalho !

    Curtido por 1 pessoa

    • Na verdade alterei a ordem que eu costumo colocar propositalmenete, para garantir que o usuário não de start no plugin e acabe esquecendo do comando enable. Assim evitamos algumas possiveis reclamações de que o plugin não está funcionando após reiniciar.
      Saudações.

      Curtir

Deixe um comentário

Faça o login usando um destes métodos para comentar:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s

Este site utiliza o Akismet para reduzir spam. Saiba como seus dados em comentários são processados.